Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection
Interface CasInitializerDescription

All Superinterfaces:
  Cloneable, MetaDataObject, ResourceCreationSpecifier, ResourceSpecifier, Serializable, XMLizable

Deprecated. As of v2.0, CAS Initializers are deprecated. A component that performs an operation like HTML detagging should instead be implemented as a "multi-Sofa" annotator. See `XmlDetagger` for an example.

    public interface CasInitializerDescription

extends ResourceCreationSpecifier

An `CasInitializerDescription` contains all of the information needed to instantiate and use an `CasInitializer`.

Method Summary
`ProcessingResourceMetaData` | `getCasInitializerMetaData()` Deprecated. Retrieves the metadata that describes the CasInitializer.

Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier
`doFullValidation, doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getCasInitializerMetaData

    ProcessingResourceMetaData getCasInitializerMetaData()

  Deprecated.
  Retrieves the metadata that describes the CasInitializer.

  Returns:
    the `ProcessingResourceMetaData` object containing the CasInitializer's metadata. This object can be modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.